services:
  cadvisor:
    image: ghcr.io/google/cadvisor:latest
    container_name: cadvisor
    ports:
      - "8082:8080"   # remapped to avoid conflict
    volumes:
      - /:/rootfs:ro
      - /var/run:/var/run:ro
      - /sys:/sys:ro
      - /var/lib/docker:/var/lib/docker:ro
    command:
      - --docker_only
      - --store_container_labels=${CADVISOR_STORE_LABELS}
    environment:
      - TZ=America/Edmonton
    restart: unless-stopped
